Cloud APIs
/- Managed Planning Data Foundation
- Core Services
Storage Service
- Fetch records
Get all kinds
Fetch multiple records
Fetch records
The API fetches multiple records at once. Allowed roles: 'users.datalake.viewers' or 'users.datalake.editors' or 'users.datalake.admins'.
Security
bearer
- SLB Saas OSDU (SGP)https://as5.api.enterprisedata.slb.com/api/storage/v2/query/records
- SLB SaaS OSDU (BRS)https://br5.api.enterprisedata.slb.com/api/storage/v2/query/records
- SLB Saas OSDU (WEU)https://eu5.api.enterprisedata.slb.com/api/storage/v2/query/records
- SLB SaaS OSDU (EUT)https://eu6.api.enterprisedata.slb.com/api/storage/v2/query/records
- SLB Saas OSDU (MDE)https://eu7.api.enterprisedata.slb.com/api/storage/v2/query/records
- SLB Saas OSDU (PSC)https://us5.api.enterprisedata.slb.com/api/storage/v2/query/records
- SLB Saas OSDU (USC)https://us7.api.enterprisedata.slb.com/api/storage/v2/query/records
- SLB Saas OSDU (WUS)https://us8.api.enterprisedata.slb.com/api/storage/v2/query/records
- SLB Saas OSDU (SAS)https://as6.api.enterprisedata.slb.com/api/storage/v2/query/records
- SLB Saas OSDU (SWC)https://eu8.api.enterprisedata.slb.com/api/storage/v2/query/records
- SLB Saas OSDU (MYW)https://as7.api.enterprisedata.slb.com/api/storage/v2/query/records
- SLB Saas OSDU (ZAN)https://za1.api.enterprisedata.slb.com/api/storage/v2/query/records
- Mock serverhttps://developer.slb.com/_mock/solutions/core-service/apis/osdu-storage-service/query/records
curl -i -X POST \
https://as5.api.enterprisedata.slb.com/api/storage/v2/query/records \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-H 'data-partition-id: string' \
-d '{
"records": [
"slb-osdu-prod-des-prod-testing:work-product-component--WellLog:a6d6-63fc9a0bbac1",
"slb-osdu-prod-des-prod-testing:work-product-component--WellLog:a6d6-63fc9a0bbac2"
]
}'Fetch multiple records successfully.
recordsArray of objects(Record)
Example:
[ { "id": "slb-osdu-prod-des-prod-testing:work-product-component--WellLog:a6d6-63fc9a0bbac1", "kind": "slb-osdu-prod-des-prod-testing:wks:work-product-component--WellLog:1.0.0", "acl": { … }, "legal": { … }, "data": { … }, "meta": [ … ] } ]
Response
{ "records": [ { … } ], "invalidRecords": [ "string" ], "retryRecords": [ "string" ] }